landmark.hh File Reference
`#include <memory>`
`#include <vector>`
`#include <mia/3d/defines3d.hh>`
`#include <mia/3d/camera.hh>`
`#include <mia/2d/image.hh>`
Include dependency graph for landmark.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C3DLandmark
| a named 3D landmark More...

## Namespaces

namespace | boost
namespace | boost::filesystem

## Typedefs

typedef C3DLandmark::Pointer | P3DLandmark

## Functions

std::ostream & | operator<< (std::ostream &os, const C3DLandmark &lm)
bool EXPORT_3D | operator== (const C3DLandmark &a, const C3DLandmark &b)

## Typedef Documentation

## P3DLandmark

typedef C3DLandmark::Pointer P3DLandmark

Definition at line 151 of file landmark.hh.

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | const C3DLandmark & | lm )

inline

Definition at line 145 of file landmark.hh.

References C3DLandmark::print().

## operator==()

bool EXPORT_3D operator== | ( | const C3DLandmark & | a,
|  | const C3DLandmark & | b )

References EXPORT_3D.